org.apache.activemq.artemis.api.jms

## Class ActiveMQJMSConstants

- java.lang.Object
- - org.apache.activemq.artemis.api.jms.ActiveMQJMSConstants

-     public class ActiveMQJMSConstants
      extends Object

  Constants for ActiveMQ Artemis for property keys used for ActiveMQ Artemis specific extensions to JMS.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AMQ_MESSAGING_BRIDGE_MESSAGE_ID_LIST`
    `static int` | `INDIVIDUAL_ACKNOWLEDGE`
    `static String` | `JMS_ACTIVEMQ_ENABLE_BYTE_ARRAY_JMS_CORRELATION_ID_PROPERTY_NAME`
    `static String` | `JMS_ACTIVEMQ_INPUT_STREAM`
    `static String` | `JMS_ACTIVEMQ_OUTPUT_STREAM`
    `static String` | `JMS_ACTIVEMQ_SAVE_STREAM`
    `static int` | `PRE_ACKNOWLEDGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveMQJMSConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JMS_ACTIVEMQ_INPUT_STREAM

          public static final String JMS_ACTIVEMQ_INPUT_STREAM

      See Also:
        Constant Field Values

    - #### JMS_ACTIVEMQ_OUTPUT_STREAM

          public static final String JMS_ACTIVEMQ_OUTPUT_STREAM

      See Also:
        Constant Field Values

    - #### JMS_ACTIVEMQ_SAVE_STREAM

          public static final String JMS_ACTIVEMQ_SAVE_STREAM

      See Also:
        Constant Field Values

    - #### AMQ_MESSAGING_BRIDGE_MESSAGE_ID_LIST

          public static final String AMQ_MESSAGING_BRIDGE_MESSAGE_ID_LIST

      See Also:
        Constant Field Values

    - #### PRE_ACKNOWLEDGE

          public static final int PRE_ACKNOWLEDGE

      See Also:
        Constant Field Values

    - #### INDIVIDUAL_ACKNOWLEDGE

          public static final int INDIVIDUAL_ACKNOWLEDGE

      See Also:
        Constant Field Values

    - #### JMS_ACTIVEMQ_ENABLE_BYTE_ARRAY_JMS_CORRELATION_ID_PROPERTY_NAME

          public static final String JMS_ACTIVEMQ_ENABLE_BYTE_ARRAY_JMS_CORRELATION_ID_PROPERTY_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActiveMQJMSConstants

          public ActiveMQJMSConstants()

Copyright © 2018 The Apache Software Foundation. All rights reserved.